Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.cache
Class AbstractEntryBundler.Bundle

`java.lang.Object
com.tangosol.util.Base
com.tangosol.net.cache.AbstractBundler.Bundle
com.tangosol.net.cache.AbstractEntryBundler.Bundle`

Enclosing class:
  AbstractEntryBundler

      protected class AbstractEntryBundler.Bundle

extends AbstractBundler.Bundle

Field Summary

Fields inherited from class com.tangosol.net.cache.AbstractBundler.Bundle
`STATUS_EXCEPTION, STATUS_OPEN, STATUS_PENDING, STATUS_PROCESSED`

Constructor Summary
`protected` | `AbstractEntryBundler.Bundle()` Default constructor.

Method Summary
`protected boolean` | `add(Object oKey, Object oValue)` Add the specified entry to the Bundle.
`protected boolean` | `addAll(Map map)` Add the specified collection of entries to the Bundle.
`protected void` | `ensureResults()` Obtain results of the bundled requests.
`protected int` | `getBundleSize()` Obtain this bundle size.
`protected void` | `process(boolean fBurst, Object oKey, Object oValue)` Process the specified entry according to this Bundle state.
`protected void` | `processAll(boolean fBurst, Map map)` Process the specified collection of entries according to this Bundle state.
`protected boolean` | `releaseThread()` Release all bundle resources associated with the current thread.

Methods inherited from class com.tangosol.net.cache.AbstractBundler.Bundle
`ensureResults, formatStatusName, isException, isMaster, isOpen, isPending, isProcessed, resetStatistics, setMaster, setStatus, toString, waitForResults`

Constructor Detail

### AbstractEntryBundler.Bundle

    protected AbstractEntryBundler.Bundle()

  Default constructor.

Method Detail

### add

    protected boolean add(Object oKey,
                          Object oValue)

  Add the specified entry to the Bundle. <p/> Note: a call to this method must be externally synchronized for this Bundle object.
  Parameters:
    `oKey` - the entry key
    `oValue` - the entry value
  Returns:
    true if this Bundle was empty prior to this call

### addAll

    protected boolean addAll(Map map)

  Add the specified collection of entries to the Bundle. <p/> Note: a call to this method must be externally synchronized for this Bundle object.
  Parameters:
    `map` - the collection of entries
  Returns:
    true if this Bundle was empty prior to this call

### process

    protected void process(boolean fBurst,
                           Object oKey,
                           Object oValue)

  Process the specified entry according to this Bundle state.
  Parameters:
    `fBurst` - true if this thread is supposed to perform an actual bundled operation (burst); false otherwise
    `oKey` - the entry key
    `oValue` - the entry value

### processAll

    protected void processAll(boolean fBurst,
                              Map map)

  Process the specified collection of entries according to this Bundle state.
  Parameters:
    `fBurst` - true if this thread is supposed to perform an actual bundled operation (burst); false otherwise
    `map` - the collection of entries

### getBundleSize

    protected int getBundleSize()

  Obtain this bundle size. The return value should be expressed in the same units as the value returned by the `getSizeThreshold` method.
  Overrides:
    `getBundleSize` in class `AbstractBundler.Bundle`
  Returns:
    the bundle size

### ensureResults

    protected void ensureResults()

  Obtain results of the bundled requests. This method should be implemented by concrete Bundle implementations using the most efficient mechanism.
  Specified by:
    `ensureResults` in class `AbstractBundler.Bundle`

### releaseThread

    protected boolean releaseThread()

  Release all bundle resources associated with the current thread.
  Overrides:
    `releaseThread` in class `AbstractBundler.Bundle`

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.